Name: python-beaker
Version: 1.8.0
Release: %mkrel 1
Summary: WSGI middleware layer to provide sessions

Group: Development/Python
License: BSD
URL: http://beaker.groovie.org/
Source0: https://pypi.io/packages/source/B/Beaker/Beaker-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python-setuptools
BuildRequires: python3-setuptools

%description
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.

%package -n python3-beaker
Group: Development/Python
Summary: WSGI middleware layer to provide sessions

%description -n python3-beaker
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.


%prep
%setup -q -n Beaker-%{version}
# Fix rpmlint warning
sed -i -e '/\/usr\/bin\/python/d' beaker/crypto/pbkdf2.py

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build


%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst
%{python2_sitelib}/beaker/
%{python2_sitelib}/Beaker*

%files -n python3-beaker
%doc README.rst
%{python3_sitelib}/beaker/
%{python3_sitelib}/Beaker*



%changelog
* Thu May 12 2016 philippem <philippem> 1.8.0-1.mga6
+ Revision: 1014405
- fix file list
- update to 1.8.0

* Fri Feb 19 2016 umeabot <umeabot> 1.6.4-10.mga6
+ Revision: 970628
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.6.4-9.mga6
+ Revision: 887480
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.6.4-8.mga5
+ Revision: 744361
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.4-7.mga5
+ Revision: 728104
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.4-6.mga5
+ Revision: 687901
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6.4-5.mga5
+ Revision: 629725
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.6.4-4.mga5
+ Revision: 628468
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.6.4-3.mga4
+ Revision: 543030
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.4-2.mga4
+ Revision: 498160
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.6.4-1.mga4
+ Revision: 450104
- Update to 1.6.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.4-3.mga3
+ Revision: 378496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 1.5.4-2.mga1
+ Revision: 55599
- rebuild to make all pythonegg requires/provides lowercase

* Sat Feb 05 2011 ahmad <ahmad> 1.5.4-1.mga1
+ Revision: 47063
- update to 1.5.4
- imported package python-beaker

